﻿# Summary

* [缘起](README.md)
* [起步](chapter1/index.md)
    * [移动开发技术简介](chapter1/mobile_development_intro.md)
    * [Flutter简介](chapter1/flutter_intro.md)  
    * [搭建Flutter开发环境](chapter1/install_flutter.md)      
    * [常见配置问题](chapter1/configuration.md)  
    * [Dart语言简介](chapter1/dart.md)    
    
* [第一个Flutter应用](chapter2/index.md)
    * [计数器示例](chapter2/first_flutter_app.md)
    * [路由管理](chapter2/flutter_router.md)  
    * [包管理](chapter2/flutter_package_mgr.md)        
    * [资源管理](chapter2/flutter_assets_mgr.md)    
    * [调试Flutter APP](chapter2/flutter_app_debug.md)
    * [Dart线程模型及异常捕获](chapter2/thread_model_and_error_report.md)
    
* [基础Widgets](chapter3/index.md)
    * [Widget简介](chapter3/flutter_widget_intro.md)
    * [文本、字体样式](chapter3/text.md)
    * [按钮](chapter3/buttons.md)      
    * [图片和Icon](chapter3/img_and_icon.md)   
    * [单选框和复选框](chapter3/radio_and_checkbox.md)   
    * [输入框和表单](chapter3/input_and_form.md)    
    
* [布局类Widgets](chapter4/index.md)
    * [布局类Widgets简介](chapter4/intro.md)
    * [线性布局Row、Column](chapter4/row_and_column.md)
    * [弹性布局Flex](chapter4/flex.md)
    * [流式布局Wrap、Flow](chapter4/wrap_and_flow.md)      
    * [层叠布局Stack、Positioned](chapter4/stack.md)   

* [容器类Widgets](chapter5/index.md)
    * [Padding](chapter5/padding.md)
    * [布局限制类容器ConstrainedBox、SizeBox](chapter5/constrainedbox_and_sizebox.md)
    * [装饰容器DecoratedBox](chapter5/decoratedbox.md)      
    * [变换Transform](chapter5/transform.md) 
    * [Container容器](chapter5/container.md) 
    * [Scaffold、TabBar、底部导航](chapter5/material_scaffold.md) 
    
* [可滚动Widgets](chapter6/index.md)
    * [可滚动Widgets简介](chapter6/intro.md)
    * [SingleChildScrollView](chapter6/single_child_scrollview.md)
    * [ListView](chapter6/listview.md)
    * [GridView](chapter6/gridview.md)      
    * [CustomScrollView](chapter6/custom_scrollview.md) 
    * [滚动监听及控制ScrollController](chapter6/scroll_controller.md) 
    
* [功能型Widgets](chapter7/index.md)
    * [导航返回拦截-WillPopScope](chapter7/willpopscope.md)
    * [数据共享-InheritedWidget](chapter7/inherited_widget.md)
    * [主题-Theme](chapter7/theme.md) 
    
* [事件处理与通知](chapter8/index.md)
    * [原始指针事件处理](chapter8/listener.md)
    * [手势识别](chapter8/gesture.md)
    * [全局事件总线](chapter8/eventbus.md) 
    * [通知Notification](chapter8/notification.md)     
    
* [动画](chapter9/index.md)
    * [Flutter动画简介](chapter9/intro.md)
    * [动画结构](chapter9/animation_structure.md)
    * [自定义路由过渡动画](chapter9/route_transition.md) 
    * [Hero动画](chapter9/hero.md) 
    * [交错动画](chapter9/stagger_animation.md) 
    
* [自定义Widget](chapter13/index.md)
    * [自定义Widget方法简介](chapter13/intro.md)
    * [通过组合现有Widget实现](chapter13/combine.md)
    * [实例：TurnBox](chapter13/turn_box.md)
    * [CustomPaint与Canvas](chapter13/custom_paint.md) 
    * [实例：圆形渐变进度条(自绘)](chapter13/gradient_circular_progress_demo.md) 
    
* [文件操作与网络请求](chapter10/index.md)
    * [文件操作](chapter10/file_operation.md)
    * [Http请求-HttpClient](chapter10/http.md)
    * [Http请求-Dio package](chapter10/dio.md) 
    * [WebSocket](chapter10/websocket.md) 
    * [使用Socket API](chapter10/socket.md) 
    * [Json转Model](chapter10/json_model.md) 
    
* [包与插件](chapter11/index.md)
    * [开发package](chapter11/develop_package.md)
    * [插件开发：平台通道简介](chapter11/platform-channel.md)
    * [插件开发：实现Android端API](chapter11/android_implement.md)
    * [插件开发：实现IOS端API](chapter11/ios_implement.md)
    * [系统能力调用](todo.md) 
    
* [国际化](chapter12/index.md)
    * [让App支持多语言](chapter12/multi_languages_support.md)
    * [实现Localizations](chapter12/locallization_implement.md) 
    * [使用Intl包](chapter12/intl.md) 
    
* [Flutter核心原理](chapter14/index.md)
    * [Flutter UI系统](chapter14/flutter_ui_system.md)
    * [Element和BuildContext](chapter14/element_buildcontext.md)
    * [RenderObject与RenderBox](chapter14/render_object.md)
    * [Flutter从启动到显示](chapter14/flutter_app_startup.md)

     
* [Flutter资源汇总](todo.md)


